CLASS TEMPLAT(3)

NAME
boost::date_time::c_local_adjustor - Adjust to / from utc using the C API.

SYNOPSIS

// In header: <boost/date_time/c_local_time_adjustor.hpp>
template<typename time_type>
class c_local_adjustor {
public:
  // types
  typedef time_type::time_duration_type time_duration_type;
  typedef time_type::date_type          date_type;
  typedef date_type::duration_type      date_duration_type;
  // public static functions
  static time_type utc_to_local(const time_type &);
};

DESCRIPTION

Warning!!! This class assumes that timezone settings of the machine are correct. This can be a very dangerous assumption.

  c_local_adjustor public static functions

    1.

    static time_type utc_to_local(const time_type & t);
    Convert a utc time to local time. .RE